> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/development/api-reference/enums/vfximportance.md).

# VFXImportance

## Overview

VFXImportance is an Enum that defines the importance level of a VFXPreset. It is used to determine which effects are displayed first in performance-limited situations.

## Items

| Name       | Value | Description                                                                                                         |
| ---------- | ----- | ------------------------------------------------------------------------------------------------------------------- |
| Default    | 0     | The default importance level.                                                                                       |
| Background | 1     | A low-importance effect for background presentation. May be removed first when performance is limited.              |
| Gameplay   | 2     | An effect with importance related to gameplay. Used for general gameplay feedback.                                  |
| Critical   | 3     | The highest-importance effect that must always be displayed. Takes priority even in performance-limited situations. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.overdare.com/development/api-reference/enums/vfximportance.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
